org.firebirdsql.gds.ng

## Class SyncObject

- java.lang.Object
- - org.firebirdsql.gds.ng.SyncObject

    public final class SyncObject
    extends java.lang.Object

Object for synchronization that has an id that might be helpful during debugging.

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`SyncObject()`

### Method Summary

Methods
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyncObject

    public SyncObject()

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`